Skip to content

Delete Message

Request

Deletes a message the integration sent. Messages sent by anyone else cannot be deleted, and a provider's admin policy can forbid deletes.

Operation ID: chat_delete_message

Security
BearerAuth
Path
conversationIdstringrequired

UID of the conversation (URL encoded). This is chat_message.conversation_uid in the OCSF model.

messageIdstringrequired

UID of the message (URL encoded). This is chat_message.uid in the OCSF model.

Query
metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

curl
curl -i -X DELETE \
  'https://api.synqly.com/v1/chat/conversations/{conversationId}/messages/{messageId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Response
No content